Debian Bug report logs - #654500
Doesn't contain source for waf binary code

version graph

Package: samba4; Maintainer for samba4 is Samba Debian Maintainers <pkg-samba-maint@lists.alioth.debian.org>; Source for samba4 is src:samba4.

Reported by: Gerfried Fuchs <rhonda@debian.org>

Date: Thu, 13 Oct 2011 12:03:04 UTC

Severity: serious

Tags: fixed-upstream, squeeze-ignore, upstream

Fixed in version samba4/4.0.0~alpha18.dfsg1-1

Done: Jelmer Vernooij <jelmer@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#645190; Package postler. (Thu, 13 Oct 2011 12:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.org>:
New Bug report received and forwarded. Copy sent to Devid Antonio Filoni <d.filoni@ubuntu.com>. (Thu, 13 Oct 2011 12:03:41 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: postler: doesn't contain source for waf binary code
Date: Thu, 13 Oct 2011 14:00:08 +0200
Package: postler
Version: 0.1.1-1
Severity: serious

        Hi!

 This was actually found in Ubuntu: https://launchpad.net/bugs/873003

 The included waf script contains binary code in line 161 for which no
source is available, which is a clear policy violation.

 Please include the source for that and actually compile that source and
use the compiled binary data instead of the one that is included now in
the source package.

 Thanks,
Rhonda
-- 
Fühlst du dich mutlos, fass endlich Mut, los      |
Fühlst du dich hilflos, geh raus und hilf, los    | Wir sind Helden
Fühlst du dich machtlos, geh raus und mach, los   | 23.55: Alles auf Anfang
Fühlst du dich haltlos, such Halt und lass los    |




Information forwarded to debian-bugs-dist@lists.debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#645190; Package postler. (Thu, 13 Oct 2011 12:15:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Devid Antonio Filoni <d.filoni@ubuntu.com>. (Thu, 13 Oct 2011 12:15:41 GMT) Full text and rfc822 format available.

Message #10 received at 645190@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Gerfried Fuchs <rhonda@debian.org>, 645190@bugs.debian.org
Subject: Re: Bug#645190: postler: doesn't contain source for waf binary code
Date: Thu, 13 Oct 2011 14:11:59 +0200
* Gerfried Fuchs <rhonda@debian.org>, 2011-10-13, 14:00:
>The included waf script contains binary code in line 161 for which no 
>source is available, which is a clear policy violation.

FWIW, the blob _does_ contain (compressed and pickled) source. If you 
run the script (even without any arguments), it will be unpacked to 
./.waf-*/wafadmin/.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#645190; Package postler. (Thu, 13 Oct 2011 13:04:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.org>:
Extra info received and forwarded to list. Copy sent to Devid Antonio Filoni <d.filoni@ubuntu.com>. (Thu, 13 Oct 2011 13:04:30 GMT) Full text and rfc822 format available.

Message #15 received at 645190@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.org>
To: 645190@bugs.debian.org
Subject: Re: Bug#645190: postler: doesn't contain source for waf binary code
Date: Thu, 13 Oct 2011 14:16:56 +0200
* Jakub Wilk <jwilk@debian.org> [2011-10-13 14:11:59 CEST]:
> * Gerfried Fuchs <rhonda@debian.org>, 2011-10-13, 14:00:
> >The included waf script contains binary code in line 161 for which
> >no source is available, which is a clear policy violation.
> 
> FWIW, the blob _does_ contain (compressed and pickled) source. If
> you run the script (even without any arguments), it will be unpacked
> to ./.waf-*/wafadmin/.

 As nice as this might be, but somewhat irrelevant and the wrong way
around: We require source to produce binaries, not the other way round.

 Thanks,
Rhonda
-- 
Fühlst du dich mutlos, fass endlich Mut, los      |
Fühlst du dich hilflos, geh raus und hilf, los    | Wir sind Helden
Fühlst du dich machtlos, geh raus und mach, los   | 23.55: Alles auf Anfang
Fühlst du dich haltlos, such Halt und lass los    |




Information forwarded to debian-bugs-dist@lists.debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#645190; Package postler. (Thu, 13 Oct 2011 13:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Devid Antonio Filoni <d.filoni@ubuntu.com>. (Thu, 13 Oct 2011 13:15:14 GMT) Full text and rfc822 format available.

Message #20 received at 645190@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: 645190@bugs.debian.org, 645191@bugs.debian.org
Subject: update on waf binary data
Date: Thu, 13 Oct 2011 15:12:29 +0200
     Hi again,

 it seems that the line 161 is actually a tar.bz2 file that gets
extracted and then used.  Though, first there is some substitution of \r
and \n characters so that the "file" could go on one line.

 IMHO this is not acceptable because there are no tools included or
commandline switches offered with waf (in postler and midori) to
conveniently unpack and repack these part for a.) inspection or b.)
modification, which are required for packages in Debian main.

 From what I understood there seems to be some waf-light that wouldn't
use the mangled tarball included within the script, I would guess that
this is the best way to move forward from here.

 If you really would like to argue that character substitution within
the tarball for embedding it in the waf script is acceptable in
accordance to policy/DFSG without direct tool to unpack/repack it, then
please discuss this on e.g. debian-devel or such, or overrule me and
lower the severity (but please provide understandable reasoning too),
I still believe that this is against our rules.

 Thanks in advance,
Rhonda
-- 
Fühlst du dich mutlos, fass endlich Mut, los      |
Fühlst du dich hilflos, geh raus und hilf, los    | Wir sind Helden
Fühlst du dich machtlos, geh raus und mach, los   | 23.55: Alles auf Anfang
Fühlst du dich haltlos, such Halt und lass los    |




Information forwarded to debian-bugs-dist@lists.debian.org, Devid Antonio Filoni <d.filoni@ubuntu.com>:
Bug#645190; Package postler. (Tue, 03 Jan 2012 21:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to Devid Antonio Filoni <d.filoni@ubuntu.com>. (Tue, 03 Jan 2012 21:30:06 GMT) Full text and rfc822 format available.

Message #25 received at 645190@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: 645190@bugs.debian.org, 645191@bugs.debian.org
Cc: ftpmaster@debian.org
Subject: waf binary code not DFSG compliant
Date: Tue, 3 Jan 2012 22:12:06 +0100
user ftpmaster@debian.org
reopen 645191

usertags 645190 + waf-unpack
clone 645190 -1 -2 -3 -4 -5 -6 -7 -8 -9 -10 -11 -12 -13 -14 -15 -16 -17 -18 -19 -20 -21 -22 -23 -24 -25 -26 -27 -28 -29 -30 -31 -32 -33 -34 -35 -36 -37 -38 -39 -40 -41 -42 -43 -44 -45 -46 -47 -48 -49 -50 -51 -52 
reassign -1 a2jmidid
reassign -2 composite
reassign -3 ctpl
reassign -4 flowcanvas
reassign -5 geany
reassign -6 geany-plugins
reassign -7 gigolo
reassign -8 gmidimonitor
reassign -9 gnome-python
reassign -10 gnome-python-desktop
reassign -11 gtkimageview
reassign -12 guitarix
reassign -13 hamster-applet
reassign -14 hotssh
reassign -15 isoquery
reassign -16 jackd2
reassign -17 jalv
reassign -18 jcgui
reassign -19 kupfer
reassign -20 ladish
reassign -21 ldb
reassign -22 libdesktop-agnostic
reassign -23 lifeograph
reassign -24 lilv
reassign -25 lv2-extensions-good
reassign -26 lv2core
reassign -27 lv2fil
reassign -28 mda-lv2
reassign -29 mgen
reassign -30 minidjvu
reassign -31 nodejs
reassign -32 ns3
reassign -33 openchange
reassign -34 patchage
reassign -35 pino
reassign -36 radare
reassign -37 raul
reassign -38 samba
reassign -39 samba4
reassign -40 serd
reassign -41 showq
reassign -42 slv2
reassign -43 sord
reassign -44 suil
reassign -45 supercollider
reassign -46 sushi
reassign -47 talloc
reassign -48 tdb
reassign -49 tevent
reassign -50 xiphos
reassign -51 xmms2
reassign -52 zyn
thanks

Hi!

> IMHO this is not acceptable because there are no tools included or
> commandline switches offered with waf (in postler and midori) to
> conveniently unpack and repack these part for a.) inspection or b.)
> modification, which are required for packages in Debian main.

A package in NEW brought this matter to our attention, and after
discussing the issue within the FTP Team, we came to the conclusion that
the submitter of this bug report is correct: packages using waf in this
form do not ship all sources in their prefered form of modification¹.

While the letters of DFSG#2 and the Debian Policy could be fullfilled by
shipping waf in extracted form in the source packages, we would really
love to see the packages moving to a saner build system.

A quick tutorial on how to unpack waf to fulfil our requirements can be
found here: http://wiki.debian.org/UnpackWaf

Best regards,
  Alexander
  for the FTP Team

1: Yes, that phrase originates from the GPL, nevertheless Debian uses it as definiton of "source".





Bug 645190 cloned as bugs 654462, 654463, 654464, 654465, 654466, 654467, 654468, 654469, 654470, 654471, 654472, 654473, 654474, 654475, 654476, 654477, 654478, 654479, 654480, 654481, 654482, 654483, 654484, 654485, 654486, 654487, 654488, 654489, 654490, 654491, 654492, 654493, 654494, 654495, 654496, 654497, 654498, 654499, 654500, 654501, 654502, 654503, 654504, 654505, 654506, 654507, 654508, 654509, 654510, 654511, 654512, 654513. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Tue, 03 Jan 2012 21:30:13 GMT) Full text and rfc822 format available.

Bug reassigned from package 'postler' to 'samba4'. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Tue, 03 Jan 2012 21:31:51 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions postler/0.1.1-1. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Tue, 03 Jan 2012 21:31:52 GMT) Full text and rfc822 format available.

Changed Bug title to 'Doesn't contain source for waf binary code' from 'postler: doesn't contain source for waf binary code' Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Tue, 03 Jan 2012 22:03:41 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Jelmer Vernooij <jelmer@debian.org> to control@bugs.debian.org. (Wed, 04 Jan 2012 02:00:13 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Jelmer Vernooij <jelmer@debian.org> to control@bugs.debian.org. (Wed, 04 Jan 2012 23:57:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jelmer Vernooij <jelmer@debian.org> to control@bugs.debian.org. (Tue, 07 Feb 2012 12:51:42 GMT) Full text and rfc822 format available.

Added tag(s) squeeze-ignore. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Tue, 07 Feb 2012 15:36:12 GMT) Full text and rfc822 format available.

Reply sent to Jelmer Vernooij <jelmer@debian.org>:
You have taken responsibility. (Mon, 12 Mar 2012 19:39:28 GMT) Full text and rfc822 format available.

Notification sent to Gerfried Fuchs <rhonda@debian.org>:
Bug acknowledged by developer. (Mon, 12 Mar 2012 19:39:29 GMT) Full text and rfc822 format available.

Message #46 received at 654500-close@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@debian.org>
To: 654500-close@bugs.debian.org
Subject: Bug#654500: fixed in samba4 4.0.0~alpha18.dfsg1-1
Date: Mon, 12 Mar 2012 19:35:47 +0000
Source: samba4
Source-Version: 4.0.0~alpha18.dfsg1-1

We believe that the bug you reported is fixed in the latest version of
samba4, which is due to be installed in the Debian FTP archive:

libdcerpc-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libdcerpc-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
libdcerpc-server-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libdcerpc-server-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
libdcerpc-server0_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libdcerpc-server0_4.0.0~alpha18.dfsg1-1_amd64.deb
libdcerpc0_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libdcerpc0_4.0.0~alpha18.dfsg1-1_amd64.deb
libgensec-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libgensec-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
libgensec0_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libgensec0_4.0.0~alpha18.dfsg1-1_amd64.deb
libndr-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libndr-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
libndr-standard-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libndr-standard-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
libndr-standard0_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libndr-standard0_4.0.0~alpha18.dfsg1-1_amd64.deb
libndr0_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libndr0_4.0.0~alpha18.dfsg1-1_amd64.deb
libparse-pidl-perl_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libparse-pidl-perl_4.0.0~alpha18.dfsg1-1_amd64.deb
libregistry-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libregistry-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
libregistry0_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libregistry0_4.0.0~alpha18.dfsg1-1_amd64.deb
libsamba-credentials-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libsamba-credentials-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
libsamba-credentials0_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libsamba-credentials0_4.0.0~alpha18.dfsg1-1_amd64.deb
libsamba-hostconfig-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libsamba-hostconfig-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
libsamba-hostconfig0_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libsamba-hostconfig0_4.0.0~alpha18.dfsg1-1_amd64.deb
libsamba-policy-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libsamba-policy-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
libsamba-policy0_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libsamba-policy0_4.0.0~alpha18.dfsg1-1_amd64.deb
libsamba-util-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libsamba-util-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
libsamba-util0_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libsamba-util0_4.0.0~alpha18.dfsg1-1_amd64.deb
libsamdb-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libsamdb-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
libsamdb0_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libsamdb0_4.0.0~alpha18.dfsg1-1_amd64.deb
libsmbclient-raw-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libsmbclient-raw-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
libsmbclient-raw0_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libsmbclient-raw0_4.0.0~alpha18.dfsg1-1_amd64.deb
libtorture-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libtorture-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
libtorture0_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/libtorture0_4.0.0~alpha18.dfsg1-1_amd64.deb
python-samba_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/python-samba_4.0.0~alpha18.dfsg1-1_amd64.deb
registry-tools_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/registry-tools_4.0.0~alpha18.dfsg1-1_amd64.deb
samba-dsdb-modules_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/samba-dsdb-modules_4.0.0~alpha18.dfsg1-1_amd64.deb
samba4-clients_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/samba4-clients_4.0.0~alpha18.dfsg1-1_amd64.deb
samba4-common-bin_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/samba4-common-bin_4.0.0~alpha18.dfsg1-1_amd64.deb
samba4-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/samba4-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
samba4-testsuite_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/samba4-testsuite_4.0.0~alpha18.dfsg1-1_amd64.deb
samba4_4.0.0~alpha18.dfsg1-1.debian.tar.gz
  to main/s/samba4/samba4_4.0.0~alpha18.dfsg1-1.debian.tar.gz
samba4_4.0.0~alpha18.dfsg1-1.dsc
  to main/s/samba4/samba4_4.0.0~alpha18.dfsg1-1.dsc
samba4_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/samba4_4.0.0~alpha18.dfsg1-1_amd64.deb
samba4_4.0.0~alpha18.dfsg1.orig.tar.gz
  to main/s/samba4/samba4_4.0.0~alpha18.dfsg1.orig.tar.gz
winbind4_4.0.0~alpha18.dfsg1-1_amd64.deb
  to main/s/samba4/winbind4_4.0.0~alpha18.dfsg1-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 654500@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jelmer Vernooij <jelmer@debian.org> (supplier of updated samba4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 12 Mar 2012 19:01:00 +0100
Source: samba4
Binary: samba4 libsamdb0 libsamdb-dev libsamba-policy0 libsamba-policy-dev samba4-common-bin samba4-clients samba4-testsuite registry-tools libparse-pidl-perl samba4-dev libgensec0 libgensec-dev libndr0 libndr-dev libndr-standard0 libndr-standard-dev libdcerpc0 libdcerpc-dev libdcerpc-server0 libdcerpc-server-dev libregistry0 libregistry-dev winbind4 libsamba-hostconfig0 libsamba-hostconfig-dev libtorture0 libtorture-dev python-samba libsamba-util-dev libsamba-util0 samba-dsdb-modules libsmbclient-raw0 libsmbclient-raw-dev libsamba-credentials0 libsamba-credentials-dev
Architecture: source amd64
Version: 4.0.0~alpha18.dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: Samba Debian Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Changed-By: Jelmer Vernooij <jelmer@debian.org>
Description: 
 libdcerpc-dev - DCE/RPC library
 libdcerpc-server-dev - DCE/RPC server library - development files
 libdcerpc-server0 - DCE/RPC server library
 libdcerpc0 - DCE/RPC client library
 libgensec-dev - Generic Security Library
 libgensec0 - Generic Security Library
 libndr-dev - NDR marshalling library - development files
 libndr-standard-dev - Standard NDR interfaces - development files
 libndr-standard0 - Standard NDR interfaces
 libndr0    - NDR marshalling library
 libparse-pidl-perl - IDL compiler written in Perl
 libregistry-dev - Registry library - development files
 libregistry0 - Registry library
 libsamba-credentials-dev - Samba Credentials management - development files
 libsamba-credentials0 - Samba Credentials management library
 libsamba-hostconfig-dev - Samba host configuration library - development files
 libsamba-hostconfig0 - Samba host configuration library
 libsamba-policy-dev - Samba policy management - development files
 libsamba-policy0 - Samba policy management
 libsamba-util-dev - Samba utility function library - development files
 libsamba-util0 - Samba utility function library
 libsamdb-dev - SAM database - development files
 libsamdb0  - SAM database
 libsmbclient-raw-dev - SMB client library - development files
 libsmbclient-raw0 - SMB client library
 libtorture-dev - Library for running unit tests - development files
 libtorture0 - Library for running Samba 4 unit tests
 python-samba - Python bindings for Samba
 registry-tools - tools for viewing and manipulating the Windows registry
 samba-dsdb-modules - Samba Directory Services Database
 samba4     - SMB/CIFS file, NT domain and active directory server (version 4)
 samba4-clients - client utilities from Samba 4
 samba4-common-bin - Samba 4 common files used by both the server and the client
 samba4-dev - tools for extending Samba
 samba4-testsuite - test suite from Samba 4
 winbind4   - service to resolve user and group information from Windows NT ser
Closes: 651583 653557 653714 654284 654500 656403 656785 657469 659570 659573 659575 659775 659978 660031 660150
Changes: 
 samba4 (4.0.0~alpha18.dfsg1-1) unstable; urgency=low
 .
   [ Jelmer Vernooij ]
   * New upstream release.
    + Depend on newer versions of ldb.
    + Depend on tevent >= 0.9.15.
    + Sanitizes NetBIOS names. LP: #938592
    + Re-adds support for 'security = domain' parsing. LP: #916556
   * Fix typo in recommendations of samba4: samba4-dsdb-modules ->
     samba-dsdb-modules.
   * Recommend attr package for Samba4.
   * Create util.h -> samba_util.h symlink for backwards compatibility.
   * Add dependency on libbsd-dev, used for strlcat and strlcpy.
   * Extracts waf source code. Closes: #654500
 .
   [ Debconf translations ]
   * Russian (Yuri Kozlov).  Closes: #651583
   * Portuguese (Miguel Figueiredo).  Closes: #653557
   * German (Holger Wansing).  Closes: #653714
   * Norwegian Bokmål (Bjørn Steensrud).  Closes: #654284
   * Spanish (Javier Fernández-Sanguino).  Closes: #656403
   * Danish (Joe Hansen).  Closes: #656785
   * Dutch (Jeroen Schot).  Closes: #657469
   * Hebrew (Omer Zak).
   * Polish (Michał Kułach).  Closes: #659570
   * Czech (Miroslav Kure).  Closes: #659573
   * Turkish (İsmail BAYDAN).  Closes: #659575
   * Japanese (Kenshi Muto).  Closes: #659978
   * Esperanto (Felipe Castro)
 .
   [ Jelmer Vernooij ]
   * Rename upgradedns to less generic samba_upgradedns.
   * Bump standards version to 3.9.3 (no changes).
   * Use DEP-5 for copyright file.
   * Indonesian (Mahyuddin Susanto).  Closes: #660031
   * Italian (Luca Monducci).  Closes: #660150
   * Use samba-tool to retrieve configuration options from debconf.
     LP: #936891, Closes: #659775
   * Add really basic autopkgtest test.
   * Fix bundled libraries for samba.samba3 python module. LP: #889869
Checksums-Sha1: 
 aa086d5160bbb7942d46d92576fd972fdba6da1d 4107 samba4_4.0.0~alpha18.dfsg1-1.dsc
 7a55980a1ff19159ef3a8a962e444658174cb7d2 20453075 samba4_4.0.0~alpha18.dfsg1.orig.tar.gz
 596d99abc09ae6522a5997facc81799b26f2fa1d 114481 samba4_4.0.0~alpha18.dfsg1-1.debian.tar.gz
 74bbd55c54f2ac00c24ee99a1369c89e59f1ce3b 1682276 samba4_4.0.0~alpha18.dfsg1-1_amd64.deb
 054660700bf848b06a9910c331acfbf1ed25a6cc 147864 libsamdb0_4.0.0~alpha18.dfsg1-1_amd64.deb
 c1ff746f9662fb3b8cd31dc954bcd2d055f973ef 12766 libsamdb-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 470743a9b923283a6300a5323f3dd65cff3f12be 32896 libsamba-policy0_4.0.0~alpha18.dfsg1-1_amd64.deb
 825ee7e1ba19e85d244cff31c030d0b80a7b9f99 14056 libsamba-policy-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 2876b4702669cc0219979a3542597f55886dc6f8 33990 samba4-common-bin_4.0.0~alpha18.dfsg1-1_amd64.deb
 b107651f04942fa8e3050c3d4a2f72f1bf79cfb4 70162 samba4-clients_4.0.0~alpha18.dfsg1-1_amd64.deb
 1f3bda13d44988b2348a497ce96025d2a1c7137c 1635234 samba4-testsuite_4.0.0~alpha18.dfsg1-1_amd64.deb
 bf0fb5e721bae33b5fb64dc23dd3b02f7d772d26 47176 registry-tools_4.0.0~alpha18.dfsg1-1_amd64.deb
 85dc92ecc352a20b08b49077296fec4c3aa918c7 116338 libparse-pidl-perl_4.0.0~alpha18.dfsg1-1_amd64.deb
 ff81915819f2503694d130364f1874ac04e7dd3f 107264 samba4-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 85f327864dc0430a486d935427c207796f0f86d7 272740 libgensec0_4.0.0~alpha18.dfsg1-1_amd64.deb
 41c4c749838b21c30df30dd531bcb27bf5e9864a 15898 libgensec-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 1bc1420152ee0a24e0c56223dd810f402cf75174 46430 libndr0_4.0.0~alpha18.dfsg1-1_amd64.deb
 10184edc67aade5fa620fd745add0729cfff3644 18976 libndr-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 98bdb44051400c2700aadc233cce754dbc6534b2 1937036 libndr-standard0_4.0.0~alpha18.dfsg1-1_amd64.deb
 b38289f3d4ecb6da1642f6bb6256aed0bc2cd074 18182 libndr-standard-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 cbb52b4a0c5cb9ea3c176ddd2a26d132121eeed5 558050 libdcerpc0_4.0.0~alpha18.dfsg1-1_amd64.deb
 7fa5a5dcf9ce54e507f2867e1d9f60ae2eb079f0 41496 libdcerpc-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 70f67ac0549e1b7faac0e7cfe5d998f84fdb3941 356672 libdcerpc-server0_4.0.0~alpha18.dfsg1-1_amd64.deb
 a90372b6386b435b49d6bd5c18db4b1dc0cdf8cb 16620 libdcerpc-server-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 664a1569004a9d953736f80938c6d6b971d14d43 66960 libregistry0_4.0.0~alpha18.dfsg1-1_amd64.deb
 f02c0586d7593deb8e27790b3b3e4cfebab0ab62 16372 libregistry-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 915abe49c45d4d99a8186112a97498e4d749d8e7 133168 winbind4_4.0.0~alpha18.dfsg1-1_amd64.deb
 a9b6e514f55534f5b627f19ac6d9428f58439781 70264 libsamba-hostconfig0_4.0.0~alpha18.dfsg1-1_amd64.deb
 6efa092206900cbe9ee063f6974bef513f85bb23 16926 libsamba-hostconfig-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 30b71d0631c514402a9b76bdb857a2568e9b57cd 21554 libtorture0_4.0.0~alpha18.dfsg1-1_amd64.deb
 41d910628866cea2cf60c3f6de7c14ead22ac367 16526 libtorture-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 50eaae1ea9082d6a78dad7433802211ba60d85af 1726576 python-samba_4.0.0~alpha18.dfsg1-1_amd64.deb
 37f01d34308cc0b1b93bcc8753ecdf5750af4ee1 33882 libsamba-util-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 8134c694b22212351d5774ff3ff70a1564206f47 259618 libsamba-util0_4.0.0~alpha18.dfsg1-1_amd64.deb
 9860eb4cc7d2f22bbf0a2d2781720f8b3029c877 296570 samba-dsdb-modules_4.0.0~alpha18.dfsg1-1_amd64.deb
 a15350899eff877a84c9659be9ecc83fab0565c3 592278 libsmbclient-raw0_4.0.0~alpha18.dfsg1-1_amd64.deb
 c791106d5295c123a6a564632f18c16dd2cd0dbe 69554 libsmbclient-raw-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 b6bd0f5d25e264d23d3f6cd5e823d48d2a37959b 38766 libsamba-credentials0_4.0.0~alpha18.dfsg1-1_amd64.deb
 8378b21c12ca12f0bed6b8b24e1a2dabaec1f11d 16160 libsamba-credentials-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
Checksums-Sha256: 
 69a6d00c9ec353fa0b9827f2c61a8805963777d83d8fced254fa8e308f006f2e 4107 samba4_4.0.0~alpha18.dfsg1-1.dsc
 a70e7a7d673c0942e1a06f6c0b8fad07eda29b725d5295ffd3b7a4d6cabf1938 20453075 samba4_4.0.0~alpha18.dfsg1.orig.tar.gz
 601249d67b08a323dabbcdb3a7172b1b5c7f0f1d06edb2ea76281e68ca0de0ce 114481 samba4_4.0.0~alpha18.dfsg1-1.debian.tar.gz
 e05bd8266b8b2fa07649245e002ec8bc6e69eda8ff31ecdd68d111ef29f43357 1682276 samba4_4.0.0~alpha18.dfsg1-1_amd64.deb
 0b004f5597b0532e6b5b05a77a2080fc91d93ddca575c7a7d78c3540c8b311f4 147864 libsamdb0_4.0.0~alpha18.dfsg1-1_amd64.deb
 fa67dca40e10c7960ccf6b78eab5ce7f901744ae2b6b8f82bccb46ae55619b9c 12766 libsamdb-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 2f48b7a4a2e88c49c06f874aee1a81fca96b719f6328bfa9d3a453e46b1eb390 32896 libsamba-policy0_4.0.0~alpha18.dfsg1-1_amd64.deb
 26759b9ecb3e7742958a02ee7fda5c8ded1fd0d7ba3007c8e6ae8bcff65ffa79 14056 libsamba-policy-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 d3c71ede5950fdd7344373e215d9cd76bce36e4a16ca583137dc984d97d377d0 33990 samba4-common-bin_4.0.0~alpha18.dfsg1-1_amd64.deb
 d51975470e746b3e4f5347dc9491d2c5963064d3a87b958dd6414724b9756ef0 70162 samba4-clients_4.0.0~alpha18.dfsg1-1_amd64.deb
 a63265a200f9d734cf12ca8110c93a33b76665015e2f3207887b77ae2663b7db 1635234 samba4-testsuite_4.0.0~alpha18.dfsg1-1_amd64.deb
 eed18ffa45111a21e809022fc51fff8cad8f462121ffd52d0c1d767e2fd5c1e2 47176 registry-tools_4.0.0~alpha18.dfsg1-1_amd64.deb
 20476f5c51946c44b6353a259147c4560219fbdfdea7ad3671dd6e773633421f 116338 libparse-pidl-perl_4.0.0~alpha18.dfsg1-1_amd64.deb
 8abce075e2463843eecff9ced402a99386fa274eadbf41ce18f8761a85791e28 107264 samba4-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 efc13305e99c466c6ba45166d0b108da5501a2eb2299deaec5a17b3453d0de82 272740 libgensec0_4.0.0~alpha18.dfsg1-1_amd64.deb
 1b49cef9804763ba29a54380963a06bc2bcbb6ea209dab7a5c7bc153885cd81c 15898 libgensec-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 09adf373c241dd15b2e065a0eb569131c7361919f810409348708384fb0f8580 46430 libndr0_4.0.0~alpha18.dfsg1-1_amd64.deb
 b55e447f8cf68dafd2dffc107fd413b80ce2bb25d5092accfec5050265d0f345 18976 libndr-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 2de63382851242a35f23773b093ee1a74b70480493a227e6f09f0251e5b11cbd 1937036 libndr-standard0_4.0.0~alpha18.dfsg1-1_amd64.deb
 b75a0eb6aca518493398d663ffb3e6486831f5a66326c4f9464367bd1e831720 18182 libndr-standard-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 b0e1495fd884135c3fb44f5bfb06ebc14cd9122d06eac4bdcc56ba67075cd609 558050 libdcerpc0_4.0.0~alpha18.dfsg1-1_amd64.deb
 d6cec8ba5996b919c9079b5e606998a945ac7092b08cf30845f5c2a29139ea22 41496 libdcerpc-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 c19a5934e1d9425190e15a536b50b4f4d279154f8a3fa1c06a9b31e7c44a2bbf 356672 libdcerpc-server0_4.0.0~alpha18.dfsg1-1_amd64.deb
 cd909c329141f5d8ddf5576f610ea7d9dbfbf5a50734cace473deaa5bfafea6a 16620 libdcerpc-server-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 f6a6661317aafc21ba3e0cb595f6ed28e165cb105fed3ec59434394bf52835a6 66960 libregistry0_4.0.0~alpha18.dfsg1-1_amd64.deb
 232c8589e0d1f843958f3a639bc836de15f46ffa682a5de995cd7afb74170afc 16372 libregistry-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 6e5a5ccc091d0f39fcd9ca4f7bc3c58bcd037f0012fddb83fa07ba3f8f04de2d 133168 winbind4_4.0.0~alpha18.dfsg1-1_amd64.deb
 85df2dd293850608f203b5324d39f2f5d849203cd67d170f13670078b8fcd2f1 70264 libsamba-hostconfig0_4.0.0~alpha18.dfsg1-1_amd64.deb
 a2a1efe63059a16cfbe60ac8455e88a2c69ffb86eb010fe8bcc1ba0786832a99 16926 libsamba-hostconfig-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 d812404adc79389dac336aa9cdb3f47990ca147aef7aa24640f11614c98ac934 21554 libtorture0_4.0.0~alpha18.dfsg1-1_amd64.deb
 74b783f521344fe423d9df7d1b4b7e07b6701fc4b40f400367d0374fb7eaf47e 16526 libtorture-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 821c9879db1d2a6fb132e7977fbabf6950381f4e1b9e8cb6cdcd6d21a4f32be4 1726576 python-samba_4.0.0~alpha18.dfsg1-1_amd64.deb
 d0519a44552425afb4d215bb83c17cf1a257ccd6e616439ad2bba998c3219d92 33882 libsamba-util-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 4f0f9b71469a7ac9e11dc2ca275c10f6e2b60109037477475449e1207c38afaf 259618 libsamba-util0_4.0.0~alpha18.dfsg1-1_amd64.deb
 b309286b916043da089cbde55c7eae0990185baeff0a86372c441fce73e14f4a 296570 samba-dsdb-modules_4.0.0~alpha18.dfsg1-1_amd64.deb
 dcdfcab2ea00c3a087cd243c1e79ada5d684f6ae7aeaa274efbfbad56535eee7 592278 libsmbclient-raw0_4.0.0~alpha18.dfsg1-1_amd64.deb
 70dac938760e6fd6dc1e68d593695d0cbe6781026740888f306892a1e0469955 69554 libsmbclient-raw-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 5ddf105d440d3091b3fe588ff4a977d17d6553d9e242070cb1002fadac8f3e34 38766 libsamba-credentials0_4.0.0~alpha18.dfsg1-1_amd64.deb
 91251268f67680a1e0fff20a1b6a6691ad5f4fdb33830990c01d81846438eefe 16160 libsamba-credentials-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
Files: 
 7da84f6f0722cf2e19d359bb6797e0ef 4107 net optional samba4_4.0.0~alpha18.dfsg1-1.dsc
 ea79da785afe35902c598d091ae25730 20453075 net optional samba4_4.0.0~alpha18.dfsg1.orig.tar.gz
 e073ca7fc4832f3edc08558f0f13f64c 114481 net optional samba4_4.0.0~alpha18.dfsg1-1.debian.tar.gz
 098bc5f767c7358a6ad5214d2564349d 1682276 net optional samba4_4.0.0~alpha18.dfsg1-1_amd64.deb
 1425d568a7961d19488b709cfbbed6da 147864 net optional libsamdb0_4.0.0~alpha18.dfsg1-1_amd64.deb
 27ef3cf764d37b77fdd467172ee17892 12766 libdevel optional libsamdb-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 92e184fa39cf6cdf82c344072856251e 32896 net optional libsamba-policy0_4.0.0~alpha18.dfsg1-1_amd64.deb
 e9c9df0b12afe396424ed18bbd3e68e1 14056 libdevel optional libsamba-policy-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 568abb393eec23fc1bb336a5147df783 33990 net optional samba4-common-bin_4.0.0~alpha18.dfsg1-1_amd64.deb
 cc3143a39f5010cc18a34699065d44fc 70162 net optional samba4-clients_4.0.0~alpha18.dfsg1-1_amd64.deb
 2c69e7f30ddb63ace217849255a63a40 1635234 net optional samba4-testsuite_4.0.0~alpha18.dfsg1-1_amd64.deb
 6447ab91fef9dfb6e3c6e1a94d0c4e7a 47176 net optional registry-tools_4.0.0~alpha18.dfsg1-1_amd64.deb
 9fe42636dd02391b6d72fce0576f8b5b 116338 perl optional libparse-pidl-perl_4.0.0~alpha18.dfsg1-1_amd64.deb
 f48c602a24c9c7476ef159059fa788c3 107264 devel optional samba4-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 add2c8dd1eb506c92189e768d3bb6157 272740 net optional libgensec0_4.0.0~alpha18.dfsg1-1_amd64.deb
 1102c779bf02fb54c6d8c8a0ab3c1ffc 15898 libdevel optional libgensec-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 064c09d8265a55f9f1d2047a3b676d63 46430 libs optional libndr0_4.0.0~alpha18.dfsg1-1_amd64.deb
 473c0d548639b4882f61cf6cf9a4d836 18976 libdevel optional libndr-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 d1ed899b63710006995061772a9c759a 1937036 libs optional libndr-standard0_4.0.0~alpha18.dfsg1-1_amd64.deb
 a9e8455bb5783699d4d8b208a1f49410 18182 libdevel optional libndr-standard-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 ba0cadefbe439d774446de3036760ad9 558050 net optional libdcerpc0_4.0.0~alpha18.dfsg1-1_amd64.deb
 1505b26e2dbf4accd851eb8799efce82 41496 libdevel optional libdcerpc-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 59d9154ce5705fd24391c2ba18a96c7a 356672 libs optional libdcerpc-server0_4.0.0~alpha18.dfsg1-1_amd64.deb
 c5933265ab7ddd8e2f843a1e522353f8 16620 libdevel optional libdcerpc-server-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 7e093c36a61435669529ff884574f08b 66960 libs optional libregistry0_4.0.0~alpha18.dfsg1-1_amd64.deb
 913ff369fe89fa96ddd1261ca311d607 16372 libdevel optional libregistry-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 f6a96409bd6fbb41aee6eec48925c4b1 133168 net optional winbind4_4.0.0~alpha18.dfsg1-1_amd64.deb
 485e869f67858abb6f1b285d4188952c 70264 libs optional libsamba-hostconfig0_4.0.0~alpha18.dfsg1-1_amd64.deb
 bfbe9f16bc2a212ad38aa80b34fa0421 16926 libdevel optional libsamba-hostconfig-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 edea2cfd7e8dacd645b26db6582a1aca 21554 libs optional libtorture0_4.0.0~alpha18.dfsg1-1_amd64.deb
 df6f7d428d5785881b3090f56204450e 16526 libdevel optional libtorture-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 c3498a906488ed52eb1ede1b8f369412 1726576 python optional python-samba_4.0.0~alpha18.dfsg1-1_amd64.deb
 f456602791a4a7b514403e6dce04177c 33882 libdevel optional libsamba-util-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 eb462a017ba77e10456f9556f655deff 259618 libs optional libsamba-util0_4.0.0~alpha18.dfsg1-1_amd64.deb
 3f4c67b6b4d516320ddb172da1034aa4 296570 libs optional samba-dsdb-modules_4.0.0~alpha18.dfsg1-1_amd64.deb
 a2d9d83ff600be0d93df9e1790475700 592278 net optional libsmbclient-raw0_4.0.0~alpha18.dfsg1-1_amd64.deb
 3a9a3104b0ae64fbb14d18a807049c1b 69554 libdevel optional libsmbclient-raw-dev_4.0.0~alpha18.dfsg1-1_amd64.deb
 e5db6858de904d27a7a9ff03ad9aea44 38766 net optional libsamba-credentials0_4.0.0~alpha18.dfsg1-1_amd64.deb
 c13e18668f52b6c3bacf6e2ef9d984e7 16160 libdevel optional libsamba-credentials-dev_4.0.0~alpha18.dfsg1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk9eTb8ACgkQPa9Uoh7vUna2EgCdGohDXXCVkoKzX+sP/tC9f7OD
pjkAoJi3qBfp2l5bxqCpWYP7j1zvnm8/
=97IK
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Apr 2012 07:33:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:20:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.